Package org.apache.commons.compress.harmony.unpack200.bytecode.forms

# Class InitMethodReferenceForm

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ClassSpecificReferenceForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.InitMethodReferenceForm

Direct Known Subclasses:
  `NewInitMethodRefForm`, `SuperInitMethodRefForm`, `ThisInitMethodRefForm`

public abstract class InitMethodReferenceForm extends ClassSpecificReferenceForm
Abstract superclass of those classes which look up init methods (these are class specific methods). They use getInitMethodPoolEntry to find the methods.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `byteCodeArray, byteCodesByName, WIDENED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InitMethodReferenceForm(int opcode, String name, int[] rewrite)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract String`
  `context(OperandManager operandManager)`
  `protected int`
  `getOffset(OperandManager operandManager)`
  `protected int`
  `getPoolID()`
  `protected void`
  `setNestedEntries(ByteCode byteCode, OperandManager operandManager, int offset)`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm

  `setByteCodeOperands`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `calculateOperandPosition, firstOperandIndex, fixUpByteCodeTargets, get, getName, getOpcode, getRewrite, getRewriteCopy, hasMultipleByteCodes, hasNoOperand, nestedMustStartClassPool, operandLength, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InitMethodReferenceForm

    public InitMethodReferenceForm(int opcode, String name, int[] rewrite)

- ## Method Details

  - ### context

    protected abstract String context(OperandManager operandManager)
    Specified by:
      `context` in class `ClassSpecificReferenceForm`

  - ### getOffset

    protected int getOffset(OperandManager operandManager)
    Specified by:
      `getOffset` in class `ClassSpecificReferenceForm`

  - ### getPoolID

    protected int getPoolID()
    Specified by:
      `getPoolID` in class `ClassSpecificReferenceForm`

  - ### setNestedEntries

    protected void setNestedEntries(ByteCode byteCode, OperandManager operandManager, int offset) throws Pack200Exception
    Overrides:
      `setNestedEntries` in class `ClassSpecificReferenceForm`
    Throws:
      `Pack200Exception`